<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101 || $dostup==102){

echo'<img src="../images/img/menu.gif" alt=""> <b>Бан-панель</b><br><br>';

if(!isset($action)){

$file = file("../local/ban.dat");
$total = count($file);    

$start = (int)$_GET['start'];
if($start < 0 || $start > $total){$start = 0;}
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

$file = file("../local/ban.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);

$num=$total-$i-1;


echo $i2.'. '.$data[1].' <br><a href="ban.php?action=razban&amp;start='.$start.'&amp;id='.$num.'">Разбанить</a><hr>';}

if($total<1){echo'<br><b>CПИСОК ЧИСТ</b><br><br>';}

if ($start != 0) {echo '<a href="ban.php?start='.($start - 10).'&amp;'.SID.'">&lt;-Назад </a> ';}else{echo'&lt;-Назад ';}
echo'|'; 
if ($total > $start + 10) {echo ' <a href="ban.php?start='.($start + 10).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo' Далее-&gt;';}




if($config_themes!=="wml"){	
echo '<hr><form method="post" action="ban.php?action=zaban&amp;start='.$start.'&amp;'.SID.'">';
echo 'IP подсудимого:<br><input name="ips" /><br><br>';
echo '<input value="Забанить" type="submit" /></form>';

}else{
	
echo'<br>--------------------<br>IP подсудимого:<br>';
echo'<input name="ips"/><br>';
echo'<anchor>Забанить';
echo'<go href="ban.php?action=zaban&amp;start='.$start.'&amp;'.SID.'" method="post">';
echo'<postfield name="ips" value="$(ips)"/>';
echo'</go></anchor><br>';
}	
	
echo '<hr>Пример: 127.0.0.1  без отступов и пробелов <br>';
echo 'Или по маске 127.0.0.* , 127.0.*.* , будут забанены все IP совпадающие по начальным цифрам<br><br>';
echo '<br>ВСЕГО В БАНЕ: '.$total.'<br><br>Бан полностью блокирует доступ к АБСОЛЮТНО ВСЕМ разделам сайта, чтобы забанить достаточно ввести ip-адрес провинившегося, в гостевой и форуме специально выводится ip для удобства. Можете банить всех подряд, но не забывайте, что  многие мобильные операторы выдают пользователям одинаковые ip, то есть заблокировав доступ одному, тем самым вы можете закрыть вход и другому, невиновному пользователю с аналогичным ip-адресом, так что в данной ситуации лучшим выходом будет очищать список раз в 3 дня<br>'; 
if($total>1){echo'<br><img src="../images/img/error.gif" alt=""> <a href="ban.php?action=alldel&amp;'.SID.'">Очистить список</a>';}
}

//---------------------------------------- БАН-IP -------------------------------------------//
if($action=="zaban"){ 
if(!empty($ips)){
	
$ips=check($ips); 

$fp=fopen("../local/ban.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"|$ips|\r\n"); 
fflush ($fp); 
flock ($fp,LOCK_UN);                                           
fclose($fp);         
}
header ("Location: ban.php?start=$start&".SID);
}

//---------------------------------------- РАЗБАН-IP -------------------------------------------//
if($action=="razban"){
if($id!=""){
 
$file=file("../local/ban.dat");	
$fp=fopen("../local/ban.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
 
}
header ("Location: ban.php?start=$start&".SID);
}


//---------------------------------------- ОЧИСТКА СПИСКА -------------------------------------------//
if($action=="alldel"){
$fp=fopen("../local/ban.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fflush ($fp);
flock ($fp,LOCK_UN);	
header ("Location: ban.php?start=$start&".SID);	
}


echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
